MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
Create Draft ListingDelete Draft ListingGet MCP ListingMy ListingsSearch MCP ListingsSubmit for ReviewUpdate Listing
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceMCP Listings

Delete Draft Listing

DELETE
/v1/mcp/{listing_id}

Delete a listing.

Authorization: caller must own the listing. Published listings cannot be deleted directly - only drafts, rejected, or pending-review listings may be removed.

Args: listing_id: UUID of the listing to delete.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

listing_id*Listing Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

curl -X DELETE "https://example.com/v1/mcp/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Create Draft Listing

Previous Page

Get MCP Listing

Next Page